$(document).ready(function()
{
	$('#online_users').html('');
	load_online_users();
	setInterval(function()
	{
		load_online_users();
	}, 5000);
});

function load_online_users()
{
	$.ajax(
	{
		type: 'POST',
		url: 'act.php',
		data: 'act=load_online',
		success: function(res)
		{
			data = json_decode (res);
			$('#online_users').html('');
			for (k in data)
			{
				
				$('#online_users').append('<tr><td>' + data[k] + '</td></tr>');
			}
		}
	});
}
function reg()
{
	if ($('#first_name').val() == '')
	{
		alert('  ');
		return;
	}
	if ($('#last_name').val() == '')
	{
		alert('  ');
		return;
	}
	if ($('#login').val() == '')
	{
		alert(' ');
		return;
	}
	if ($('#password').val() == '')
	{
		alert(' ');
		return;
	}if ($('#password_confirmation').val() == '')
	{
		alert(' ');
		return;
	}
	if ($('#password').val() != $('#password_confirmation').val())
	{
		alert('  ');
		return;
	}
	$.ajax(
	{
		type: 'POST',
		url: 'act.php',
		data: 'act=reg&first_name=' + encodeURIComponent($('#first_name').val()) + '&last_name=' + encodeURIComponent($('#last_name').val()) + '&login=' + encodeURIComponent($('#login').val()) + '&password=' + encodeURIComponent($('#password').val()),
		success: function(res)
		{
			if (res == 0)
			{
				//document.location.href = 'error.php'; //    ,    :
				alert('     ');
			} else if (res == 1) {
				alert(' ');
				document.location.href = 'index.php';
			} else alert(' ');
		}
	});
}

function login()
{
	$.ajax(
	{
		type: 'POST',
		url: 'act.php',
		data: 'act=login&login=' + encodeURIComponent($('#login').val()) + '&password=' + encodeURIComponent($('#password').val()),
		success: function(res)
		{
			if (res == 0)
			{
				//document.location.href = 'error.php'; //  ,    :
				alert('   ');	
			} else {
				document.location.href = document.location.href;
			}
		}
	});
	return false;
}

function load_themes()
{
	$.ajax(
	{
		type: 'POST',
		url: 'act.php',
		data: 'act=load_themes',
		success: function(res)
		{
			data = json_decode (res);
			
			if (data)
			{
				html = '<table class="table"><tr><th> </th><th> </th><th> </th><th> </th></tr></table>';
				$('#themes').html(html);
				tr = '';
				for (k in data)
				{
					tr += '<tr><td>' + data[k]['name'] + '</td><td><a href="theme.php?id=' + data[k]['id'] + '">' + data[k]['subject'] + '</a></td><td>' + data[k]['date'] + '</td><td>' + data[k]['count'] + '</td></tr>';
					$('#themes').find('table:first').append(tr);
				}
			} else $('#themes').html('     ..');
		}
	});
}
	
function load_theme()
{
	$.ajax(
	{
		type: 'POST',
		url: 'act.php',
		data: 'act=load_theme&id=' + encodeURIComponent(tid),
		success: function(res)
		{
			data = json_decode(res);
			$('#subject').html(data['subject']);
			$('#posts').html('<table class="table bordered"></table>');
			for (k in data['posts'])
			{
				html = '<tr><td style="width:20%" class="text-center">' + data['posts'][k]['name'] + '<br />' + data['posts'][k]['date'] + '</td><td>' + data['posts'][k]['message'] + '</td></tr>';
				$('#posts').find('table:first').append(html);
			}
		}
	});
}

function add_post()
{
	if ($('#post').val() == '')
	{
		alert(' ');
		return;
	}
	$.ajax(
	{
		type: 'POST',
		url: 'act.php',
		data: 'act=add_post&post=' + encodeURIComponent($('#post').val()) + '&tid=' + encodeURIComponent(tid),
		success: function(res)
		{
			if (res == 0)
			{
				alert('');
				return;
			}
			data = json_decode (res);
			$('#posts').find('table:first').append('<tr><td class="text-center">' + data['name'] + '<br />' + data['date'] + '</td><td>' + $('#post').val() + '</td></tr>');
			$('#post').val('');
		}
	});
}

function create_theme()
{
	if ($('#newsubject').val() == '')
	{
		alert('  ');
		return;
	}
	if ($('#post').val() == '')
	{
		alert('  ');
		return;
	}
	$.ajax(
	{
		type: 'POST',
		url: 'act.php',
		data: 'act=create_theme&subject=' + encodeURIComponent($('#newsubject').val()) + '&post=' + encodeURIComponent($('#post').val()),
		success: function(res)
		{
			if (res == '0')
			{
				alert('');
				return;
			} else document.location.href = document.location.href;
		}
	});
}

function print_r(arr, level) {
    var print_red_text = "";
    if(!level) level = 0;
    var level_padding = "";
    for(var j=0; j<level+1; j++) level_padding += "    ";
    if(typeof(arr) == 'object') {
        for(var item in arr) {
            var value = arr[item];
            if(typeof(value) == 'object') {
                print_red_text += level_padding + "'" + item + "' :\n";
                print_red_text += print_r(value,level+1);
		} 
            else 
                print_red_text += level_padding + "'" + item + "' => \"" + value + "\"\n";
        }
    } 

    else  print_red_text = "===>"+arr+"<===("+typeof(arr)+")";
    return print_red_text;
}

function json_decode (str_json) {
    // http://kevin.vanzonneveld.net
    // +      original by: Public Domain (http://www.json.org/json2.js)
    // + reimplemented by: Kevin van Zonneveld (http://kevin.vanzonneveld.net)
    // +      improved by: T.J. Leahy
    // +      improved by: Michael White
    // *        example 1: json_decode('[\n    "e",\n    {\n    "pluribus": "unum"\n}\n]');
    // *        returns 1: ['e', {pluribus: 'unum'}]
/*
        http://www.JSON.org/json2.js
        2008-11-19
        Public Domain.
        NO WARRANTY EXPRESSED OR IMPLIED. USE AT YOUR OWN RISK.
        See http://www.JSON.org/js.html
    */

    var json = this.window.JSON;
    if (typeof json === 'object' && typeof json.parse === 'function') {
        try {
            return json.parse(str_json);
        } catch (err) {
            if (!(err instanceof SyntaxError)) {
                throw new Error('Unexpected error type in json_decode()');
            }
            this.php_js = this.php_js || {};
            this.php_js.last_error_json = 4; // usable by json_last_error()
            return null;
        }
    }

    var cx = /[\u0000\u00ad\u0600-\u0604\u070f\u17b4\u17b5\u200c-\u200f\u2028-\u202f\u2060-\u206f\ufeff\ufff0-\uffff]/g;
    var j;
    var text = str_json;

    // Parsing happens in four stages. In the first stage, we replace certain
    // Unicode characters with escape sequences. JavaScript handles many characters
    // incorrectly, either silently deleting them, or treating them as line endings.
    cx.lastIndex = 0;
    if (cx.test(text)) {
        text = text.replace(cx, function (a) {
            return '\\u' + ('0000' + a.charCodeAt(0).toString(16)).slice(-4);
        });
    }

    // In the second stage, we run the text against regular expressions that look
    // for non-JSON patterns. We are especially concerned with '()' and 'new'
    // because they can cause invocation, and '=' because it can cause mutation.
    // But just to be safe, we want to reject all unexpected forms.
    // We split the second stage into 4 regexp operations in order to work around
    // crippling inefficiencies in IE's and Safari's regexp engines. First we
    // replace the JSON backslash pairs with '@' (a non-JSON character). Second, we
    // replace all simple value tokens with ']' characters. Third, we delete all
    // open brackets that follow a colon or comma or that begin the text. Finally,
    // we look to see that the remaining characters are only whitespace or ']' or
    // ',' or ':' or '{' or '}'. If that is so, then the text is safe for eval.
    if ((/^[\],:{}\s]*$/).
    test(text.replace(/\\(?:["\\\/bfnrt]|u[0-9a-fA-F]{4})/g, '@').
    replace(/"[^"\\\n\r]*"|true|false|null|-?\d+(?:\.\d*)?(?:[eE][+\-]?\d+)?/g, ']').
    replace(/(?:^|:|,)(?:\s*\[)+/g, ''))) {

        // In the third stage we use the eval function to compile the text into a
        // JavaScript structure. The '{' operator is subject to a syntactic ambiguity
        // in JavaScript: it can begin a block or an object literal. We wrap the text
        // in parens to eliminate the ambiguity.
        j = eval('(' + text + ')');

        return j;
    }

    this.php_js = this.php_js || {};
    this.php_js.last_error_json = 4; // usable by json_last_error()
    return null;
}